commit:     ab1eeb997f220495d4d65f6af489fb65a6ac0433
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 09:18:42 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 31 09:18:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab1eeb99

media-video/kino: drop deprecated ltprune eclass

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-video/kino/kino-1.3.4-r1.ebuild | 4 ++--
 media-video/kino/kino-1.3.4-r2.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/media-video/kino/kino-1.3.4-r1.ebuild 
b/media-video/kino/kino-1.3.4-r1.ebuild
index 77e78c8d8e2..bf3def0c101 100644
--- a/media-video/kino/kino-1.3.4-r1.ebuild
+++ b/media-video/kino/kino-1.3.4-r1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit autotools ltprune udev xdg
+inherit autotools udev xdg
 
 DESCRIPTION="Kino is a non-linear DV editor for GNU/Linux"
 HOMEPAGE="http://www.kinodv.org/";
@@ -99,5 +99,5 @@ src_install() {
        default
        mv "${ED}/$(get_udevdir)"/rules.d/{,99-}kino.rules
        fowners root:root -R /usr/share/kino/help #177378
-       prune_libtool_files --all #385361
+       find "${ED}" -name '*.la' -delete || die #385361
 }

diff --git a/media-video/kino/kino-1.3.4-r2.ebuild 
b/media-video/kino/kino-1.3.4-r2.ebuild
index da4e9f6edd0..2d5b56e858f 100644
--- a/media-video/kino/kino-1.3.4-r2.ebuild
+++ b/media-video/kino/kino-1.3.4-r2.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-inherit autotools ltprune udev xdg
+inherit autotools udev xdg
 
 DESCRIPTION="Kino is a non-linear DV editor for GNU/Linux"
 HOMEPAGE="http://www.kinodv.org/";
@@ -100,5 +100,5 @@ src_install() {
        default
        mv "${ED}/$(get_udevdir)"/rules.d/{,99-}kino.rules
        fowners root:root -R /usr/share/kino/help #177378
-       prune_libtool_files --all #385361
+       find "${ED}" -name '*.la' -delete || die #385361
 }

Reply via email to